# TI-99/sim common build rules

CC       := g++
CFLAGS   := -g -O
WARNINGS := -Wall -Wno-format -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Winline
INCLUDES := -I../../include

ifdef ARCH
CFLAGS   += -march=$(ARCH)
endif

ifdef DEBUG
CFLAGS   += -DDEBUG -D_REENTRANT
endif

ifdef WIN32
CFLAGS   += -D__WIN32__
endif

ifdef MACOSX
CC       := cc
CFLAGS   += -D__MACOSX__
endif

ifdef AMIGA
CFLAGS   += -D__AMIGAOS__
endif

CFLAGS += -D__LINUX__

.cpp.o:
	$(CC) -c $(CFLAGS) $(WARNINGS) $(INCLUDES) -o $@ $<

.SUFFIXES: .cpp .o
